Name:		kdesvn
Version:	2.0.0
Release:	%mkrel 1
Summary:	KDE client for subversion
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://kdesvn.alwins-world.de/
Source:		http://download.kde.org/stable/kdesvn/%{version}/%{name}-%{version}.tar.xz
Patch0:		kdesvn-2.0.0-fix-manpage-install.patch
BuildRequires:	doxygen
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Bookmarks)
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5ConfigWidgets)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5DBusAddons)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	cmake(KF5ItemViews)
BuildRequires:	cmake(KF5JobWidgets)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5Notifications)
BuildRequires:	cmake(KF5Parts)
BuildRequires:	cmake(KF5Service)
BuildRequires:	cmake(KF5TextEditor)
BuildRequires:	cmake(KF5Wallet)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	subversion-devel

Requires:	graphviz
Recommends:	kdiff3
Recommends:	kompare

Obsoletes:	kdesvn-devel < 1.6.0-10

%description
kdesvn is yet another client for subversion. But it uses native
KDE API instead of a extra lib like GAMBAS and it is using the
native subversion delevelopment API instead of just parsing the
output of the commandline tool like most other clients do. It tries
to setup a look and feel like the standard filemanager of KDE and is
integrated into it via KPart.
The base C++ interface to subversion I took from the (real great) tool
Rapidsvn (see http://rapidsvn.tigris.org/) with some modifcations and fixes.


%files -f %{name}.lang
%doc AUTHORS ChangeLog
%license COPYING
%_kf5_bindir/%{name}
%_kf5_bindir/%{name}askpass
%_kf5_plugindir/kded/kdesvnd.so
%_qt5_plugindir/*.so
%_kf5_datadir/%{name}/
%_kf5_datadir/kconf_update/*
%_kf5_iconsdir/hicolor/*/*/*
%_kf5_applicationsdir/org.kde.%{name}.desktop
%_kf5_datadir/config.kcfg/*
%_kf5_datadir/kxmlgui5/%{name}/
%_kf5_services/ServiceMenus/%{name}_subversion.desktop
%_kf5_services/ServiceMenus/%{name}_subversion_toplevel.desktop
%_kf5_services/kdesvnpart.desktop
%_kf5_services/ksvn*.protocol
%_kf5_services/svn*.protocol
%_kf5_datadir/dbus-1/interfaces/kf5_org.kde.kdesvnd.xml
%_kf5_datadir/dbus-1/services/org.kde.kdesvnd.service
%_kf5_mandir/man1/*

#-----------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang %{name} --all-name --with-man --with-html


%changelog
* Mon Dec 05 2016 daviddavid <daviddavid> 2.0.0-1.mga6
+ Revision: 1072641
- new version: 2.0.0
- port to Kf5/Qt5
- add patch to fix all manpage missing install

* Sun Mar 27 2016 tv <tv> 1.7.0-1.mga6
+ Revision: 995737
- drop lib sub-package (libsvnqt is now a private API)
- adjust file list
- 1.7.0
- drop devel sub-package (libsvnqt is now a private API)

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6.0-5.mga5
+ Revision: 741319
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.0-4.mga5
+ Revision: 681010
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 1.6.0-3.mga4
+ Revision: 506590
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.6.0-2.mga3
+ Revision: 356045
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 02 2012 fwang <fwang> 1.6.0-1.mga3
+ Revision: 287167
- new version 1.6.0

* Mon Nov 21 2011 juancho <juancho> 1.5.5-3.mga2
+ Revision: 170696
- Removed Requires on cervisia CCBUG: 3399
- Added Suggests for kdiff3 and kompare

* Mon Feb 21 2011 spuhler <spuhler> 1.5.5-2.mga1
+ Revision: 55144
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package kdesvn

